"""A mapping of Overture tags to OSM tags."""

from typing import Dict


places_tags: Dict[str, Dict[str, str]] = {
    "eat_and_drink": {"amenity": "restaurant"},
    "restaurant": {"amenity": "restaurant"},
    "afghan_restaurant": {"amenity": "restaurant", "cuisine": "afghan"},
    "african_restaurant": {"amenity": "restaurant", "cuisine": "african"},
    "ethiopian_restaurant": {"amenity": "restaurant", "cuisine": "ethiopian"},
    "senegalese_restaurant": {"amenity": "restaurant", "cuisine": "senegalese"},
    "south_african_restaurant": {"amenity": "restaurant", "cuisine": "south_african"},
    "moroccan_restaurant": {"amenity": "restaurant", "cuisine": "moroccan"},
    "nigerian_restaurant": {"amenity": "restaurant", "cuisine": "nigerian"},
    "american_restaurant": {"amenity": "restaurant", "cuisine": "american"},
    "arabian_restaurant": {"amenity": "restaurant", "cuisine": "arab"},
    "belgian_restaurant": {"amenity": "restaurant", "cuisine": "belgian"},
    "latin_american_restaurant": {"amenity": "restaurant", "cuisine": "latin_american"},
    "argentine_restaurant": {"amenity": "restaurant", "cuisine": "argentinian"},
    "belizean_restaurant": {"amenity": "restaurant", "cuisine": "belizean"},
    "bolivian_restaurant": {"amenity": "restaurant", "cuisine": "bolivian"},
    "brazilian_restaurant": {"amenity": "restaurant", "cuisine": "brazilian"},
    "chilean_restaurant": {"amenity": "restaurant", "cuisine": "chilean"},
    "colombian_restaurant": {"amenity": "restaurant", "cuisine": "colombian"},
    "costa_rican_restaurant": {"amenity": "restaurant", "cuisine": "costa_rican"},
    "cuban_restaurant": {"amenity": "restaurant", "cuisine": "cuban"},
    "ecuadorian_restaurant": {"amenity": "restaurant", "cuisine": "ecuadorian"},
    "guatemalan_restaurant": {"amenity": "restaurant", "cuisine": "guatemalan"},
    "honduran_restaurant": {"amenity": "restaurant", "cuisine": "honduran"},
    "mexican_restaurant": {"amenity": "restaurant", "cuisine": "mexican"},
    "nicaraguan_restaurant": {"amenity": "restaurant", "cuisine": "nicaraguan"},
    "panamanian_restaurant": {"amenity": "restaurant", "cuisine": "panamanian"},
    "paraguayan_restaurant": {"amenity": "restaurant", "cuisine": "paraguayan"},
    "peruvian_restaurant": {"amenity": "restaurant", "cuisine": "peruvian"},
    "puerto_rican_restaurant": {"amenity": "restaurant"},
    "salvadoran_restaurant": {"amenity": "restaurant"},
    "texmex_restaurant": {"amenity": "restaurant", "cuisine": "tex-mex"},
    "uruguayan_restaurant": {"amenity": "restaurant"},
    "venezuelan_restaurant": {"amenity": "restaurant", "cuisine": "venezuelan"},
    "middle_eastern_restaurant": {"amenity": "restaurant", "cuisine": "middle_eastern"},
    "armenian_restaurant": {"amenity": "restaurant", "cuisine": "armenian"},
    "azerbaijani_restaurant": {"amenity": "restaurant"},
    "egyptian_restaurant": {"amenity": "restaurant", "cuisine": "egyptian"},
    "georgian_restaurant": {"amenity": "restaurant", "cuisine": "georgian"},
    "israeli_restaurant": {"amenity": "restaurant", "cuisine": "israeli"},
    "kofta_restaurant": {"amenity": "restaurant"},
    "kurdish_restaurant": {"amenity": "restaurant"},
    "lebanese_restaurant": {"amenity": "restaurant", "cuisine": "lebanese"},
    "persian_iranian_restaurant": {"amenity": "restaurant", "cuisine": "persian"},
    "syrian_restaurant": {"amenity": "restaurant", "cuisine": "syrian"},
    "turkish_restaurant": {"amenity": "restaurant", "cuisine": "turkish"},
    "asian_restaurant": {"amenity": "restaurant", "cuisine": "asian"},
    "asian_fusion_restaurant": {"amenity": "restaurant", "cuisine": "fusion"},
    "pan_asian_restaurant": {"amenity": "restaurant"},
    "burmese_restaurant": {"amenity": "restaurant"},
    "cambodian_restaurant": {"amenity": "restaurant", "cuisine": "cambodian"},
    "chinese_restaurant": {"amenity": "restaurant", "cuisine": "chinese"},
    "dim_sum_restaurant": {"amenity": "restaurant"},
    "filipino_restaurant": {"amenity": "restaurant", "cuisine": "filipino"},
    "indo_chinese_restaurant": {"amenity": "restaurant"},
    "indonesian_restaurant": {"amenity": "restaurant", "cuisine": "indonesian"},
    "japanese_restaurant": {"amenity": "restaurant", "cuisine": "japanese"},
    "korean_restaurant": {"amenity": "restaurant", "cuisine": "korean"},
    "sushi_restaurant": {"amenity": "restaurant", "cuisine": "sushi"},
    "laotian_restaurant": {"amenity": "restaurant"},
    "malaysian_restaurant": {"amenity": "restaurant", "cuisine": "malaysian"},
    "mongolian_restaurant": {"amenity": "restaurant", "cuisine": "mongolian"},
    "noodles_restaurant": {"amenity": "restaurant", "cuisine": "noodle"},
    "singaporean_restaurant": {"amenity": "restaurant", "cuisine": "singaporean"},
    "taiwanese_restaurant": {"amenity": "restaurant", "cuisine": "taiwanese"},
    "thai_restaurant": {"amenity": "restaurant", "cuisine": "thai"},
    "vietnamese_restaurant": {"amenity": "restaurant", "cuisine": "vietnamese"},
    "australian_restaurant": {"amenity": "restaurant", "cuisine": "australian"},
    "austrian_restaurant": {"amenity": "restaurant", "cuisine": "austrian"},
    "bangladeshi_restaurant": {"amenity": "restaurant", "cuisine": "bangladeshi"},
    "indian_restaurant": {"amenity": "restaurant", "cuisine": "indian"},
    "basque_restaurant": {"amenity": "restaurant", "cuisine": "basque"},
    "british_restaurant": {"amenity": "restaurant", "cuisine": "british"},
    "eastern_european_restaurant": {"amenity": "restaurant"},
    "belarusian_restaurant": {"amenity": "restaurant"},
    "bulgarian_restaurant": {"amenity": "restaurant", "cuisine": "bulgarian"},
    "romanian_restaurant": {"amenity": "restaurant", "cuisine": "romanian"},
    "tatar_restaurant": {"amenity": "restaurant"},
    "ukrainian_restaurant": {"amenity": "restaurant", "cuisine": "ukrainian"},
    "french_restaurant": {"amenity": "restaurant", "cuisine": "french"},
    "cajun_creole_restaurant": {"amenity": "restaurant", "cuisine": "cajun"},
    "canadian_restaurant": {"amenity": "restaurant"},
    "caribbean_restaurant": {"amenity": "restaurant", "cuisine": "caribbean"},
    "dominican_restaurant": {"amenity": "restaurant"},
    "haitian_restaurant": {"amenity": "restaurant"},
    "jamaican_restaurant": {"amenity": "restaurant", "cuisine": "jamaican"},
    "trinidadian_restaurant": {"amenity": "restaurant"},
    "german_restaurant": {"amenity": "restaurant", "cuisine": "german"},
    "catalan_restaurant": {"amenity": "restaurant"},
    "italian_restaurant": {"amenity": "restaurant", "cuisine": "italian"},
    "czech_restaurant": {"amenity": "restaurant", "cuisine": "czech"},
    "mediterranean_restaurant": {"amenity": "restaurant", "cuisine": "mediterranean"},
    "greek_restaurant": {"amenity": "restaurant", "cuisine": "greek"},
    "guamanian_restaurant": {"amenity": "restaurant"},
    "hawaiian_restaurant": {"amenity": "restaurant", "cuisine": "hawaiian"},
    "himalayan_nepalese_restaurant": {"amenity": "restaurant"},
    "hungarian_restaurant": {"amenity": "restaurant", "cuisine": "hungarian"},
    "iberian_restaurant": {"amenity": "restaurant"},
    "irish_restaurant": {"amenity": "restaurant", "cuisine": "irish"},
    "jewish_restaurant": {"amenity": "restaurant"},
    "international_restaurant": {"amenity": "restaurant"},
    "european_restaurant": {"amenity": "restaurant"},
    "oriental_restaurant": {"amenity": "restaurant"},
    "pakistani_restaurant": {"amenity": "restaurant", "cuisine": "pakistani"},
    "polish_restaurant": {"amenity": "restaurant", "cuisine": "polish"},
    "polynesian_restaurant": {"amenity": "restaurant"},
    "portuguese_restaurant": {"amenity": "restaurant", "cuisine": "portuguese"},
    "russian_restaurant": {"amenity": "restaurant", "cuisine": "russian"},
    "scandinavian_restaurant": {"amenity": "restaurant"},
    "danish_restaurant": {"amenity": "restaurant"},
    "norwegian_restaurant": {"amenity": "restaurant"},
    "scottish_restaurant": {"amenity": "restaurant"},
    "seafood_restaurant": {"amenity": "restaurant", "cuisine": "seafood"},
    "serbo_croation_restaurant": {"amenity": "restaurant"},
    "slovakian_restaurant": {"amenity": "restaurant"},
    "southern_restaurant": {"amenity": "restaurant"},
    "spanish_restaurant": {"amenity": "restaurant", "cuisine": "spanish"},
    "sri_lankan_restaurant": {"amenity": "restaurant"},
    "swiss_restaurant": {"amenity": "restaurant"},
    "uzbek_restaurant": {"amenity": "restaurant"},
    "molecular_gastronomy_restaurant": {"amenity": "restaurant"},
    "haute_cuisine_restaurant": {"amenity": "restaurant"},
    "brasserie": {"amenity": "restaurant"},
    "buffet_restaurant": {"amenity": "restaurant"},
    "barbecue_restaurant": {"amenity": "restaurant"},
    "burger_restaurant": {"amenity": "restaurant", "cuisine": "burger"},
    "cheesesteak_restaurant": {"amenity": "restaurant"},
    "chicken_restaurant": {"amenity": "restaurant"},
    "chicken_wings_restaurant": {"amenity": "restaurant"},
    "dog_meat_restaurant": {"amenity": "restaurant"},
    "dumpling_restaurant": {"amenity": "restaurant"},
    "fast_food_restaurant": {"amenity": "fast_food"},
    "fishchbroetchen_restaurant": {"amenity": "restaurant"},
    "fish_restaurant": {"amenity": "restaurant"},
    "fish_and_chips_restaurant": {"amenity": "restaurant"},
    "fondue_restaurant": {"amenity": "restaurant"},
    "gluten_free_restaurant": {"amenity": "restaurant"},
    "baozi_restaurant": {"amenity": "restaurant"},
    "halal_restaurant": {"amenity": "restaurant"},
    "bistro": {"amenity": "restaurant"},
    "health_food_restaurant": {"amenity": "restaurant"},
    "kosher_restaurant": {"amenity": "restaurant"},
    "comfort_food_restaurant": {"amenity": "restaurant"},
    "meat_restaurant": {"amenity": "restaurant"},
    "curry_sausage_restaurant": {"amenity": "restaurant"},
    "diner": {"amenity": "restaurant"},
    "nasi_restaurant": {"amenity": "restaurant"},
    "flatbread_restaurant": {"amenity": "restaurant"},
    "food_court": {"amenity": "food_court"},
    "gastropub": {"amenity": "restaurant"},
    "pizza_restaurant": {"amenity": "restaurant", "cuisine": "pizza"},
    "pop_up_restaurant": {"amenity": "restaurant"},
    "poutinerie_restaurant": {"amenity": "restaurant"},
    "vegan_restaurant": {"amenity": "restaurant", "diet:vegan": "yes"},
    "vegetarian_restaurant": {"amenity": "restaurant", "diet:vegetarian": "yes"},
    "wok_restaurant": {"amenity": "restaurant"},
    "wrap_restaurant": {"amenity": "restaurant"},
    "piadina_restaurant": {"amenity": "restaurant"},
    "pigs_trotters_restaurant": {"amenity": "restaurant"},
    "potato_restaurant": {"amenity": "restaurant"},
    "rotisserie_chicken_restaurant": {"amenity": "restaurant", "cuisine": "chicken"},
    "schnitzel_restaurant": {"amenity": "restaurant"},
    "steakhouse": {"amenity": "restaurant", "cuisine": "steak_house"},
    "tapas_bar": {"amenity": "restaurant"},
    "venison_restaurant": {"amenity": "restaurant"},
    "wild_game_meats_restaurant": {"amenity": "restaurant"},
    "falafel_restaurant": {"amenity": "restaurant"},
    "taco_restaurant": {"amenity": "restaurant", "cuisine": "mexican"},
    "hot_dog_restaurant": {"amenity": "restaurant", "cuisine": "american"},
    "soup_restaurant": {"amenity": "restaurant"},
    "theme_restaurant": {"amenity": "restaurant"},
    "bar_and_grill_restaurant": {"amenity": "restaurant"},
    "meatball_restaurant": {"amenity": "restaurant"},
    "waffle_restaurant": {"amenity": "restaurant", "cuisine": "breakfast"},
    "breakfast_and_brunch_restaurant": {
        "amenity": "restaurant",
        "cuisine": "breakfast",
    },
    "pancake_house": {"amenity": "restaurant", "cuisine": "breakfast"},
    "bagel_restaurant": {"amenity": "restaurant"},
    "bar": {"amenity": "bar"},
    "beach_bar": {"amenity": "bar"},
    "beer_bar": {"amenity": "bar"},
    "beer_garden": {"amenity": "biergarten"},
    "brewery": {"craft": "brewery"},
    "bubble_tea": {"amenity": "cafe", "cuisine": "bubble_tea"},
    "cocktail_bar": {"amenity": "bar"},
    "dive_bar": {"amenity": "bar"},
    "drive_thru_bar": {"amenity": "bar", "drive_through": "yes"},
    "gay_bar": {"amenity": "bar", "lgbtq": "primary"},
    "hookah_bar": {"amenity": "bar"},
    "hotel_bar": {"amenity": "bar"},
    "irish_pub": {"amenity": "bar", "cuisine": "irish"},
    "milk_bar": {"amenity": "fast_food"},
    "pub": {"amenity": "pub"},
    "sake_bar": {"amenity": "bar"},
    "speakeasy": {"amenity": "bar"},
    "sports_bar": {"amenity": "bar"},
    "tiki_bar": {"amenity": "bar"},
    "vermouth_bar": {"amenity": "bar"},
    "whiskey_bar": {"amenity": "bar"},
    "wine_bar": {"amenity": "bar"},
    "piano_bar": {"amenity": "bar", "live_music": "yes"},
    "cafe": {"amenity": "cafe"},
    "coffee_roastery": {"shop": "coffee"},
    "tea_room": {"amenity": "cafe"},
    "coffee_shop": {"amenity": "cafe", "cuisine": "coffee_shop"},
    "accommodation": {"tourism": "yes"},
    "bed_and_breakfast": {"tourism": "guest_house", "guest_house": "bed_and_breakfast"},
    "cabin": {"tourism": "chalet"},
    "campground": {"tourism": "camp_site"},
    "cottage": {"tourism": "chalet"},
    "guest_house": {"tourism": "guest_house"},
    "hostel": {"tourism": "hostel"},
    "hotel": {"tourism": "hotel"},
    "motel": {"tourism": "motel"},
    "resort": {"leisure": "resort"},
    "beach_resort": {"leisure": "beach_resort"},
    "rv_park": {"tourism": "caravan_site"},
    "service_apartments": {"tourism": "apartment"},
    "automotive_dealer": {"shop": "car"},
    "car_dealer": {"shop": "car"},
    "motorcycle_dealer": {"shop": "motorcycle"},
    "used_car_dealer": {"shop": "car", "second_hand": "only"},
    "automotive_services_and_repair": {"amenity": "car_repair"},
    "auto_body_shop": {"shop": "car_repair", "car_repair": "bodywork"},
    "auto_customization": {"shop": "car_repair", "car_repair": "customization"},
    "auto_detailing": {"shop": "car_repair", "car_repair": "detailing"},
    "auto_electrical_repair": {"shop": "car_repair", "car_repair": "electrical"},
    "auto_glass_service": {"shop": "car_repair", "car_repair": "glass"},
    "car_window_tinting": {"shop": "car_repair", "car_repair": "tinting"},
    "auto_restoration_services": {"shop": "car_repair", "car_repair": "restoration"},
    "auto_security": {"shop": "car_repair", "car_repair": "security"},
    "automotive_consultant": {"office": "consulting", "consulting": "automotive"},
    "automotive_storage_facility": {"amenity": "parking"},
    "car_wash": {"amenity": "car_wash"},
    "motorcycle_repair": {"shop": "motorcycle_repair"},
    "tire_dealer_and_repair": {"shop": "tyres"},
    "automotive_parts_and_accessories": {"shop": "car_parts"},
    "gas_station": {"amenity": "fuel"},
    "truck_gas_station": {"amenity": "fuel", "hgv": "yes"},
    "ev_charging_station": {"amenity": "charging_station"},
    "automotive_repair": {"shop": "car_repair"},
    "auto_company": {"shop": "car"},
    "betting_center": {"shop": "bookmaker"},
    "bookmakers": {"shop": "bookmaker"},
    "carousel": {"attraction": "carousel"},
    "casino": {"amenity": "casino"},
    "circus": {"amenity": "theatre", "theatre:genre": "circus"},
    "comedy_club": {"amenity": "theatre", "theatre:genre": "comedy"},
    "topic_concert_venue": {"amenity": "music_venue"},
    "dance_club": {"amenity": "nightclub"},
    "escape_rooms": {"leisure": "escape_game"},
    "internet_cafe": {"amenity": "internet_cafe"},
    "paintball": {"leisure": "pitch", "sport": "paintball"},
    "planetarium": {"amenity": "planetarium"},
    "stadium_arena": {"leisure": "stadium"},
    "baseball_stadium": {"leisure": "pitch", "sport": "baseball"},
    "basketball_stadium": {"leisure": "pitch", "sport": "basketball"},
    "cricket_ground": {"leisure": "pitch", "sport": "cricket"},
    "football_stadium": {"leisure": "pitch", "sport": "american_football"},
    "hockey_arena": {"leisure": "stadium", "sport": "hockey"},
    "rugby_stadium": {"leisure": "stadium", "sport": "rugby"},
    "soccer_stadium": {"leisure": "pitch", "sport": "soccer"},
    "tennis_stadium": {"leisure": "pitch", "sport": "tennis"},
    "track_stadium": {"leisure": "stadium", "sport": "track"},
    "theatre": {"amenity": "theatre"},
    "water_park": {"leisure": "water_park"},
    "cinema": {"amenity": "cinema"},
    "drive_in_theatre": {"amenity": "cinema", "drive_in": "yes"},
    "outdoor_movies": {"amenity": "cinema", "outdoor": "yes"},
    "farm": {"shop": "farm"},
    "attraction_farm": {"shop": "farm"},
    "psychic": {"shop": "psychic"},
    "amusement_park": {"tourism": "theme_park"},
    "aquarium": {"tourism": "aquarium"},
    "art_gallery": {"tourism": "gallery"},
    "beach": {"natural": "beach"},
    "botanical_garden": {"leisure": "garden", "garden:type": "botanical"},
    "canyon": {"natural": "valley"},
    "castle": {"historic": "castle"},
    "cave": {"natural": "cave_entrance"},
    "fort": {"historic": "fort"},
    "fountain": {"amenity": "fountain"},
    "lake": {"natural": "water", "water": "lake"},
    "landmark_and_historical_building": {"building": "yes"},
    "lighthouse": {"man_made": "lighthouse"},
    "lookout": {"tourism": "viewpoint"},
    "marina": {"leisure": "marina"},
    "monument": {"historic": "monument"},
    "observatory": {"man_made": "observatory"},
    "palace": {"historic": "castle", "castle_type": "palace"},
    "plaza": {"place": "square"},
    "ruin": {"historic": "ruins"},
    "sculpture_statue": {"historic": "memorial", "memorial": "statue"},
    "trail": {"highway": "path"},
    "hiking_trail": {"highway": "path", "sac_scale": "hiking"},
    "mountain_bike_trails": {"highway": "path", "bicycle": "yes"},
    "waterfall": {"waterway": "waterfall"},
    "zoo": {"tourism": "zoo"},
    "petting_zoo": {"tourism": "zoo", "zoo": "petting_zoo"},
    "museum": {"tourism": "museum"},
    "art_museum": {"tourism": "gallery"},
    "asian_art_museum": {"tourism": "gallery"},
    "contemporary_art_museum": {"tourism": "gallery"},
    "children's_museum": {"tourism": "museum"},
    "costume_museum": {"tourism": "museum"},
    "decorative_arts_museum": {"tourism": "gallery"},
    "design_museum": {"tourism": "museum"},
    "modern_art_museum": {"tourism": "gallery"},
    "photography_museum": {"tourism": "gallery"},
    "history_museum": {"tourism": "museum"},
    "community_museum": {"tourism": "museum"},
    "military_museum": {"tourism": "museum"},
    "national_museum": {"tourism": "museum"},
    "science_museum": {"tourism": "museum"},
    "state_museum": {"tourism": "museum"},
    "aviation_museum": {"tourism": "museum"},
    "sports_museum": {"tourism": "museum"},
    "park": {"leisure": "park"},
    "dog_park": {"leisure": "dog_park"},
    "memorial_park": {"leisure": "park"},
    "national_park": {"boundary": "protected_area"},
    "state_park": {"boundary": "protected_area"},
    "american_football_field": {"leisure": "pitch", "sport": "american_football"},
    "archery_range": {"leisure": "pitch", "sport": "archery"},
    "badminton_court": {"leisure": "pitch", "sport": "badminton"},
    "baseball_field": {"leisure": "pitch", "sport": "baseball"},
    "basketball_court": {"leisure": "pitch", "sport": "basketball"},
    "beach_volleyball_court": {"leisure": "pitch", "sport": "beachvolleyball"},
    "bocce_ball_court": {"leisure": "pitch", "sport": "boules"},
    "bowling_alley": {"leisure": "bowling_alley"},
    "bubble_soccer_field": {"leisure": "pitch", "sport": "soccer"},
    "disc_golf_course": {"leisure": "disc_golf_course"},
    "futsal_field": {"leisure": "pitch", "sport": "futsal"},
    "golf_course": {"leisure": "golf_course"},
    "driving_range": {"golf": "driving_range"},
    "gym": {"leisure": "fitness_centre"},
    "handball_court": {"leisure": "pitch", "sport": "handball"},
    "hockey_field": {"leisure": "pitch", "sport": "field_hockey"},
    "horse_riding": {"leisure": "horse_riding"},
    "miniature_golf_course": {"leisure": "miniature_golf"},
    "playground": {"leisure": "playground"},
    "racquetball_court": {"leisure": "pitch", "sport": "racquetball"},
    "rock_climbing_gym": {
        "leisure": "fitness_centre",
        "sport": "rock_climbing",
        "indoor": "yes",
    },
    "rugby_pitch": {"leisure": "pitch", "sport": "rugby"},
    "soccer_field": {"leisure": "pitch", "sport": "soccer"},
    "squash_court": {"leisure": "pitch", "sport": "squash"},
    "swimming_pool": {"leisure": "swimming_pool"},
    "tennis_court": {"leisure": "pitch", "sport": "tennis"},
    "trampoline_park": {"leisure": "trampoline_park"},
    "volleyball_court": {"leisure": "pitch", "sport": "volleyball"},
    "dance_school": {"leisure": "dance", "dance:teaching": "yes"},
    "ski_and_snowboard_school": {"amenity": "school"},
    "surfing_school": {"amenity": "school"},
    "yoga_studio": {"leisure": "fitness_centre", "sport": "yoga"},
    "fencing_club": {"leisure": "sports_centre", "sport": "fencing"},
    "gymnastics_club": {"leisure": "sports_centre", "sport": "gymnastics"},
    "soccer_club": {"leisure": "sports_centre", "sport": "soccer"},
    "table_tennis_club": {"leisure": "sports_centre", "sport": "table_tennis"},
    "volleyball_club": {"leisure": "sports_centre", "sport": "volleyball"},
    "golf_club": {"leisure": "golf_course"},
    "indoor_golf_center": {
        "leisure": "golf_course",
        "golf:course": "driving_range",
        "indoor": "yes",
    },
    "martial_arts_club": {"sport": "martial_arts"},
    "karate_club": {"leisure": "sports_centre", "sport": "karate"},
    "taekwondo_club": {"leisure": "sports_centre", "sport": "taekwondo"},
    "bike_rentals": {"amenity": "bicycle_rental"},
    "beauty_and_spa": {"amenity": "spa"},
    "beauty_salon": {"shop": "beauty"},
    "barber": {"shop": "hairdresser"},
    "health_spa": {"amenity": "spa"},
    "massage": {"shop": "massage"},
    "tattoo_and_piercing": {"shop": "tattoo", "piercing": "yes"},
    "piercing": {"shop": "tattoo", "piercing": "yes"},
    "tattoo": {"shop": "tattoo"},
    "spas": {"amenity": "spa"},
    "medical_spa": {"amenity": "spa"},
    "day_spa": {"amenity": "spa"},
    "college_university": {"amenity": "university", "isced:level": "5"},
    "school": {"amenity": "school"},
    "charter_school": {"amenity": "school"},
    "elementary_school": {"amenity": "school", "isced:level": "1"},
    "high_school": {"amenity": "school", "isced:level": "3"},
    "middle_school": {"amenity": "school", "isced:level": "2"},
    "montessori_school": {"amenity": "school"},
    "preschool": {"amenity": "school", "isced:level": "0"},
    "private_school": {"amenity": "school"},
    "public_school": {"amenity": "school"},
    "religious_school": {"amenity": "school"},
    "waldorf_school": {"amenity": "school"},
    "specialty_school": {"amenity": "school"},
    "art_school": {"amenity": "school", "school": "art"},
    "bartending_school": {"amenity": "school", "school": "bartending"},
    "circus_school": {"amenity": "school", "school": "circus"},
    "cooking_school": {"amenity": "school", "school": "cooking"},
    "cosmetology_school": {"amenity": "school", "school": "cosmetology"},
    "drama_school": {"amenity": "school", "school": "drama"},
    "driving_school": {"amenity": "driving_school"},
    "dui_school": {"amenity": "school"},
    "flight_school": {"amenity": "school"},
    "language_school": {"amenity": "language_school"},
    "massage_school": {"amenity": "school"},
    "medical_school": {"amenity": "school"},
    "music_school": {"amenity": "music_school"},
    "nursing_school": {"amenity": "school"},
    "sports_school": {"amenity": "school"},
    "traffic_school": {"amenity": "school"},
    "vocational_and_technical_school": {"amenity": "school"},
    "financial_service": {"office": "financial"},
    "accountant": {"office": "accountant"},
    "atms": {"amenity": "atm"},
    "bank_credit_union": {"amenity": "bank"},
    "banks": {"amenity": "bank"},
    "credit_union": {"amenity": "bank"},
    "business_brokers": {"office": "financial_advisor"},
    "insurance_agency": {"office": "insurance"},
    "auto_insurance": {"office": "insurance", "insurance": "car"},
    "farm_insurance": {"office": "insurance", "insurance": "farm"},
    "home_and_rental_insurance": {"office": "insurance", "insurance": "home"},
    "life_insurance": {"office": "insurance", "insurance": "life"},
    "investing": {"office": "financial_advisor"},
    "tax_services": {"office": "tax_advisor"},
    "trusts": {"office": "accountant"},
    "private_establishments_and_corporates": {"office": "company"},
    "retail": {"shop": "yes"},
    "bagel_shop": {"amenity": "cafe", "cuisine": "bagel"},
    "bakery": {"shop": "bakery"},
    "flatbread": {"shop": "bakery"},
    "beer_wine_and_spirits": {"shop": "alcohol"},
    "patisserie_cake_shop": {"shop": "pastry"},
    "cupcake_shop": {"shop": "pastry"},
    "custom_cakes_shop": {"shop": "pastry"},
    "coffee_and_tea_supplies": {"shop": "coffee"},
    "health_food_store": {"shop": "herbalist"},
    "ice_cream_and_frozen_yoghurt": {"amenity": "ice_cream"},
    "gelato": {"amenity": "ice_cream"},
    "ice_cream_shop": {"amenity": "ice_cream"},
    "frozen_yoghurt_shop": {"amenity": "ice_cream"},
    "liquor_store": {"shop": "alcohol"},
    "mulled_wine": {"shop": "wine"},
    "sandwich_shop": {"amenity": "fast_food", "cuisine": "sandwich"},
    "delicatessen": {"shop": "deli"},
    "winery": {"craft": "winery"},
    "wine_tasting_room": {"craft": "winery"},
    "auto_parts_and_supply_store": {"shop": "car_parts"},
    "beverage_store": {"shop": "alcohol"},
    "butcher_shop": {"shop": "butcher"},
    "candy_store": {"shop": "confectionery"},
    "japanese_confectionery_shop": {"shop": "confectionery"},
    "carpet_store": {"shop": "carpet"},
    "cheese_shop": {"shop": "cheese"},
    "chocolatier": {"shop": "chocolate"},
    "distillery": {"craft": "distillery"},
    "flooring_store": {"shop": "flooring"},
    "meat_shop": {"shop": "butcher"},
    "pharmacy": {"amenity": "pharmacy"},
    "water_store": {"shop": "water"},
    "shopping": {"shop": "yes"},
    "arts_and_crafts": {"shop": "craft"},
    "art_supply_store": {"shop": "craft"},
    "costume_store": {"shop": "costume"},
    "craft_shop": {"shop": "craft"},
    "embroidery_and_crochet": {"shop": "sewing"},
    "fabric_store": {"shop": "fabric"},
    "framing_store": {"shop": "frame"},
    "handicraft_shop": {"shop": "craft"},
    "bookstore": {"shop": "books"},
    "fashion": {"shop": "clothes", "clothes": "fashion"},
    "clothing_store": {"shop": "clothes"},
    "children's_clothing_store": {"shop": "clothes", "clothes": "children"},
    "denim_wear_store": {"shop": "clothes", "clothes": "denim"},
    "men's_clothing_store": {"shop": "clothes", "clothes": "men"},
    "women's_clothing_store": {"shop": "clothes", "clothes": "women"},
    "fashion_accessories_store": {"shop": "fashion_accessories"},
    "hat_shop": {"shop": "clothes", "clothes": "hats"},
    "shoe_store": {"shop": "shoes"},
    "orthopedic_shoe_store": {"shop": "shoes", "shoes": "orthopaedic"},
    "eyewear_and_optician": {"shop": "optician"},
    "flowers_and_gifts_shop": {"shop": "flowers"},
    "florist": {"shop": "florist"},
    "gift_shop": {"shop": "gift"},
    "grocery_store": {"shop": "convenience"},
    "specialty_grocery_store": {"shop": "supermarket"},
    "asian_grocery_store": {"shop": "supermarket", "cuisine": "asian"},
    "indian_grocery_store": {"shop": "supermarket", "cuisine": "indian"},
    "japanese_grocery_store": {"shop": "supermarket", "cuisine": "japanese"},
    "korean_grocery_store": {"shop": "supermarket", "cuisine": "korean"},
    "kosher_grocery_store": {"shop": "supermarket", "cuisine": "kosher"},
    "mexican_grocery_store": {"shop": "supermarket", "cuisine": "mexican"},
    "organic_grocery_store": {"shop": "supermarket", "organic": "yes"},
    "russian_grocery_store": {"shop": "supermarket", "cuisine": "russian"},
    "home_and_garden": {"shop": "hardware"},
    "hardware_store": {"shop": "hardware"},
    "appliance_store": {"shop": "appliance"},
    "candle_store": {"shop": "candles"},
    "furniture_accessory_store": {"shop": "furniture"},
    "furniture_store": {"shop": "furniture"},
    "home_improvement_store": {"shop": "doityourself"},
    "mattress_store": {"shop": "bed"},
    "paint_store": {"shop": "paint"},
    "medical_supply": {"shop": "medical_supply"},
    "hearing_aids": {"shop": "hearing_aids"},
    "pet_store": {"shop": "pet"},
    "computer_store": {"shop": "computer"},
    "convenience_store": {"shop": "convenience"},
    "department_store": {"shop": "department_store"},
    "discount_store": {"shop": "discount"},
    "do_it_yourself_store": {"shop": "doityourself"},
    "electronics": {"shop": "electronics"},
    "jewelry_store": {"shop": "jewelry"},
    "mobile_phone_store": {"shop": "mobile_phone"},
    "shopping_center": {"shop": "mall"},
    "supermarket": {"shop": "supermarket"},
    "superstore": {"shop": "supermarket"},
    "tobacco_shop": {"shop": "tobacco"},
    "toy_store": {"shop": "toys"},
    "used_bookstore": {"shop": "books", "second_hand": "only"},
    "e_cigarette_store": {"shop": "tobacco"},
    "watch_store": {"shop": "watches"},
    "wholesale_store": {"shop": "wholesale"},
    "bicycle_shop": {"shop": "bicycle"},
    "swimwear_store": {"shop": "clothes", "clothes": "swimwear"},
    "health_and_medical": {"healthcare": "yes"},
    "counseling_and_mental_health": {"healthcare": "psychotherapist"},
    "family_counselor": {
        "healthcare": "counselling",
        "healthcare:counselling": "family",
    },
    "psychotherapist": {"healthcare": "psychotherapist"},
    "dentist": {"amenity": "dentist"},
    "doctor": {"amenity": "doctor"},
    "audiologist": {"healthcare": "audiologist"},
    "dermatologist": {"healthcare:speciality": "dermatology"},
    "fertility": {
        "amenity": "clinic",
        "healthcare": "clinic",
        "healthcare:speciality": "fertility",
    },
    "gastroenterologist": {"healthcare:speciality": "gastroenterology"},
    "geneticist": {"healthcare:speciality": "genetics"},
    "gerontologist": {"healthcare:speciality": "gerontology"},
    "hepatologist": {"healthcare:speciality": "hepatology"},
    "neurologist": {"healthcare:speciality": "neurology"},
    "obstetrician_and_gynecologist": {"healthcare:speciality": "gynaecology"},
    "oncologist": {"healthcare:speciality": "oncology"},
    "podiatrist": {"healthcare": "podiatrist"},
    "acupuncture": {
        "healthcare": "alternative",
        "healthcare:speciality": "acupuncture",
    },
    "ayurveda": {"healthcare": "alternative", "healthcare:speciality": "ayurveda"},
    "chiropractor": {
        "healthcare": "alternative",
        "healthcare:specialty": "chiropractic",
    },
    "float_spa": {"amenity": "spa"},
    "halotherapy": {"healthcare:speciality": "halotherapy"},
    "hospice": {"healthcare": "hospice"},
    "hospital": {"amenity": "hospital"},
    "massage_therapy": {"shop": "massage"},
    "midwife": {"healthcare": "midwife"},
    "optometrist": {"healthcare": "optometrist"},
    "physical_therapy": {"healthcare": "physiotherapist"},
    "podiatry": {"amenity": "doctors", "healthcare:speciality": "podiatry"},
    "sauna": {"leisure": "sauna"},
    "speech_therapist": {"healthcare": "speech_therapist"},
    "internal_medicine": {"healthcare": "doctor", "healthcare:speciality": "internal"},
    "psychiatrist": {"amenity": "doctors", "healthcare:speciality": "psychiatry"},
    "traditional_chinese_medicine": {
        "healthcare": "alternative",
        "healthcare:speciality": "traditional_chinese_medicine",
    },
    "pet_groomer": {"shop": "pet_grooming"},
    "animal_shelter": {"amenity": "animal_shelter"},
    "veterinarian": {"amenity": "veterinary"},
    "business_to_business": {"office": "yes"},
    "research_institute": {"amenity": "research_institute"},
    "coworking_space": {"amenity": "coworking_space"},
    "information_technology_company": {"office": "it"},
    "telecommunications_company": {"office": "telecommunication"},
    "mining": {"industrial": "mine"},
    "coal_and_coke": {"industrial": "mine"},
    "oil_refiners": {"industrial": "refinery"},
    "public_service_and_government": {"office": "yes"},
    "non_governmental_association": {"office": "ngo"},
    "public_and_government_association": {"office": "yes"},
    "charity_organization": {"office": "charity"},
    "food_banks": {"amenity": "social_facility", "social_facility": "food_bank"},
    "homeless_shelter": {
        "amenity": "social_facility",
        "social_facility": "shelter",
        "social_facility:for": "homeless",
    },
    "community_services_non_profits": {"amenity": "community_centre"},
    "jail_and_prison": {"amenity": "prison"},
    "juvenile_detention_center": {"amenity": "prison"},
    "post_office": {"amenity": "post_office"},
    "public_toilet": {"amenity": "toilets", "access": "yes"},
    "community_center": {"amenity": "community_centre"},
    "courthouse": {"amenity": "courthouse"},
    "embassy": {"office": "diplomatic", "diplomatic": "embassy"},
    "fire_department": {"amenity": "fire_station"},
    "library": {"amenity": "library"},
    "police_department": {"amenity": "police"},
    "retirement_home": {
        "amenity": "social_facility",
        "social_facility": "assisted_living",
    },
    "town_hall": {"amenity": "townhall"},
    "religious_organization": {"amenity": "place_of_worship"},
    "church_cathedral": {"amenity": "place_of_worship", "religion": "christian"},
    "anglican_church": {
        "amenity": "place_of_worship",
        "religion": "christian",
        "denomination": "anglican",
    },
    "baptist_church": {
        "amenity": "place_of_worship",
        "religion": "christian",
        "denomination": "baptist",
    },
    "catholic_church": {
        "amenity": "place_of_worship",
        "religion": "christian",
        "denomination": "catholic",
    },
    "episcopal_church": {
        "amenity": "place_of_worship",
        "religion": "christian",
        "denomination": "episcopal",
    },
    "evangelical_church": {
        "amenity": "place_of_worship",
        "religion": "christian",
        "denomination": "evangelical",
    },
    "pentecostal_church": {
        "amenity": "place_of_worship",
        "religion": "christian",
        "denomination": "pentecostal",
    },
    "buddhist_temple": {"amenity": "place_of_worship", "religion": "buddhist"},
    "hindu_temple": {"amenity": "place_of_worship", "religion": "hindu"},
    "mosque": {"amenity": "place_of_worship", "religion": "muslim"},
    "religious_destination": {"amenity": "place_of_worship"},
    "shinto_shrines": {"amenity": "place_of_worship", "religion": "shinto"},
    "sikh_temple": {"amenity": "place_of_worship", "religion": "sikh"},
    "synagogue": {"amenity": "place_of_worship", "religion": "jewish"},
    "temple": {"building": "temple", "amenity": "place_of_worship"},
    "real_estate": {"office": "estate_agent"},
    "real_estate_investment": {"office": "estate_agent"},
    "apartments": {"building": "apartments"},
    "condominium": {"building": "apartments"},
    "property_management": {"office": "property_management"},
    "real_estate_agent": {"office": "estate_agent"},
    "rental_services": {"shop": "rental"},
    "airport": {"aeroway": "aerodrome"},
    "airport_terminal": {"aeroway": "terminal"},
    "domestic_airports": {"aeroway": "aerodrome", "aerodrome:type": "regional"},
    "heliports": {"aeroway": "heliport"},
    "major_airports": {"aeroway": "aerodrome", "aerodrome:type": "international"},
    "travel_agents": {"shop": "travel_agency"},
    "visitor_center": {"tourism": "information", "information": "visitor_centre"},
    "rest_areas": {"highway": "services"},
    "toll_stations": {"barrier": "toll_booth"},
    "train_station": {"railway": "station", "public_transport": "station"},
    "bicycle_sharing_location": {"amenity": "bicycle_rental"},
    "bike_parking": {"amenity": "bicycle_parking"},
    "bike_sharing": {"amenity": "bicycle_rental"},
    "bus_station": {"amenity": "bus_station", "public_transport": "station"},
    "car_sharing": {"amenity": "car_sharing"},
    "light_rail_and_subway_stations": {
        "railway": "station",
        "public_transport": "station",
    },
    "metro_station": {"railway": "station", "public_transport": "station"},
    "motorcycle_parking": {"amenity": "motorcycle_parking"},
    "parking": {"amenity": "parking"},
    "rental_service": {"shop": "rental"},
    "car_rental_agency": {"amenity": "car_rental"},
    "motorcycle_rentals": {"shop": "rental", "rental": "motorcycle"},
    "rv_rentals": {"shop": "rental", "rental": "rv"},
    "trailer_rentals": {"shop": "rental", "rental": "trailer"},
    "truck_rentals": {"shop": "rental", "rental": "truck"},
    "rest_stop": {"highway": "services"},
    "broadcasting_media_production": {"office": "media"},
    "home_service": {"craft": "yes"},
    "roofing": {"craft": "roofer"},
    "chimney_service": {"craft": "chimney_sweeper"},
    "chimney_sweep": {"craft": "chimney_sweeper"},
    "flooring_contractors": {"craft": "floorer"},
    "carpenter": {"craft": "carpenter"},
    "electrician": {"craft": "electrician"},
    "insulation_installation": {"craft": "insulation"},
    "key_and_locksmith": {"shop": "locksmith"},
    "painting": {"craft": "painter"},
    "plasterer": {"craft": "plasterer"},
    "tiling": {"craft": "tiler"},
    "landscaping": {"craft": "gardener"},
    "gardener": {"craft": "gardener"},
    "landscape_architect": {"craft": "gardener"},
    "lawn_service": {"craft": "gardener"},
    "tree_services": {"craft": "arborist"},
    "professional_services": {"craft": "yes"},
    "welders": {"craft": "welder"},
    "stone_and_masonry": {"craft": "stonemason"},
    "masonry_contractors": {"craft": "stonemason"},
    "lawyer": {"office": "lawyer"},
    "estate_planning_law": {"office": "lawyer", "lawyer": "estate_planning"},
    "bankruptcy_law": {"office": "lawyer", "lawyer": "bankruptcy"},
    "business_law": {"office": "lawyer", "lawyer": "business"},
    "contract_law": {"office": "lawyer", "lawyer": "contract"},
    "criminal_defense_law": {"office": "lawyer", "lawyer": "criminal_defense"},
    "disability_law": {"office": "lawyer", "lawyer": "disability"},
    "divorce_and_family_law": {"office": "lawyer", "lawyer": "divorce_and_family"},
    "dui_law": {"office": "lawyer", "lawyer": "dui"},
    "employment_law": {"office": "lawyer", "lawyer": "employment"},
    "entertainment_law": {"office": "lawyer", "lawyer": "entertainment"},
    "immigration_law": {"office": "lawyer", "lawyer": "immigration"},
    "ip_and_internet_law": {"office": "lawyer", "lawyer": "ip_and_internet"},
    "medical_law": {"office": "lawyer", "lawyer": "medical"},
    "personal_injury_law": {"office": "lawyer", "lawyer": "personal_injury"},
    "real_estate_law": {"office": "lawyer", "lawyer": "real_estate"},
    "social_security_law": {"office": "lawyer", "lawyer": "social_security"},
    "tax_law": {"office": "tax_advisor"},
    "traffic_ticketing_law": {"office": "lawyer", "lawyer": "traffic_ticketing"},
    "workers_compensation_law": {"office": "lawyer", "lawyer": "workers_compensation"},
    "caterer": {"craft": "caterer"},
    "photographer": {"craft": "photographer"},
    "session_photography": {"craft": "photographer"},
    "laundry_services": {"shop": "laundry"},
    "dry_cleaning": {"shop": "laundry", "dry_cleaning": "yes"},
    "laundromat": {"shop": "laundry"},
    "advertising_agency": {"office": "advertising_agency"},
    "architect": {"office": "architect"},
    "architectural_designer": {"office": "architect"},
    "bail_bonds_service": {"office": "bail_bond_agent"},
    "car_broker": {"shop": "car"},
    "day_care_preschool": {"amenity": "school"},
    "computer_hardware_company": {"shop": "computer"},
    "electronics_repair_shop": {"craft": "electronics_repair"},
    "junkyard": {"industrial": "scrap_yard"},
    "machine_and_tool_rentals": {"shop": "rental", "rental": "machines"},
    "notary_public": {"office": "lawyer", "lawyer": "notary"},
    "patent_law": {"office": "lawyer", "lawyer": "patent"},
    "shoe_repair": {"shop": "shoe_repair"},
    "software_development": {"office": "software"},
    "tenant_and_eviction_law": {"office": "lawyer", "lawyer": "tenant_and_eviction"},
    "self_storage_facility": {"shop": "storage_rental"},
    "public_phones": {"amenity": "telephone"},
    "public_restrooms": {"amenity": "toilets", "access": "yes"},
    "structure_and_geography": {"place": "yes"},
    "bridge": {"man_made": "bridge"},
    "canal": {"waterway": "canal"},
    "dam": {"waterway": "dam"},
    "desert": {"natural": "desert"},
    "forest": {"natural": "wood"},
    "island": {"place": "island"},
    "mountain": {"natural": "peak"},
    "nature_reserve": {"leisure": "nature_reserve"},
    "pier": {"man_made": "pier"},
    "public_plaza": {"place": "square"},
    "quay": {"man_made": "quay"},
    "river": {"waterway": "river"},
    "skyscraper": {"building": "yes"},
    "tower": {"man_made": "tower"},
    "weir": {"waterway": "weir"},
}
"""Dict[str, Dict[str, str]]: A mapping of Overture to OSM place tags,
excluding blank values. This is downstream from the `scripts/tag.json`
file."""
